FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202111041636.p0.git.5448475.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202111041636.p0.git.5448475.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=5448475 OS_GIT_VERSION=4.7.0-202111041636.p0.git.5448475.assembly.stream-5448475 SOURCE_DATE_EPOCH=1615839559 SOURCE_GIT_COMMIT=54484757581ec26f178c599215715bafd6029582 SOURCE_GIT_TAG=5448475 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.7.0.20211104.165239
ENV __doozer=update BUILD_RELEASE=202111041636.p0.git.5448475.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202111041636.p0.git.5448475.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=5448475 OS_GIT_VERSION=4.7.0-202111041636.p0.git.5448475.assembly.stream-5448475 SOURCE_DATE_EPOCH=1615839559 SOURCE_GIT_COMMIT=54484757581ec26f178c599215715bafd6029582 SOURCE_GIT_TAG=5448475 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator/cluster-kube-storage-version-migrator-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/*_kube-storage-version-migrator-operator_*.yaml* /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-storage-version-migrator-operator" \
        com.redhat.component="ose-cluster-kube-storage-version-migrator-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-storage-version-migrator" \
        release="202111041636.p0.git.5448475.assembly.stream" \
        io.openshift.build.commit.id="54484757581ec26f178c599215715bafd6029582" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-storage-version-migrator-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-storage-version-migrator-operator/commit/54484757581ec26f178c599215715bafd6029582" \
        version="v4.7.0"

